#include "../includes/main.h"

void traiterTaches(Tache *tabTache[])
{
    ListeAttente file;
    Liste succCourant;
    file.debut = 0;
    file.fin = 0;

    for (int i = 0; i < TMAXTRAV; i++)
        if (tabTache[i]->nbPred == 0)
            enfiler(&file, tabTache[i]);

    // Etape courante (utilisation d’une boucle)
    while (!estVide(&file))
    {
        Tache *tacheActuelle = defiler(&file);
        succCourant = tacheActuelle->succ;
        while (succCourant)
        {
            Tache *successeur = trouverTache(tabTache, TMAXTRAV, succCourant->tache);
            successeur->dateDebut = max(successeur->dateDebut, tacheActuelle->dateDebut + tacheActuelle->duree);
            successeur->nbPred--;
            if (successeur->nbPred == 0)
                enfiler(&file, successeur);
            succCourant = succCourant->nxt;
        }
    }
}
